{% extends "admin_base.html" %}


{% block content %}





<div class="row">
  <div class="col-md-6">
    <form method="post" >



      <div class="form-group">


        <h3 for="code">Base stations</h3>

        <div class="form-group">
          <label for="sel1">Name</label>
            <input required type="text" name="name" class="form-control" id="name">
        </div>
        <label>Address (Street number, street name, suburb, city)</label>
        <input type="text" required name="address" class="form-control" id="address">
      </div>

      <div class="form-group">
            <button  type="submit" name="category" id="add-btn"> Add
            </button>
        </div>


      </form>
    </div>



    <div class="col-md-6">
      <h2 class="">Existing basestations</h2>
      <table class="table display responsive" id=""  cellspacing="0" width="100%">
        <thead>
          <tr>

            <th data-field="name" data-sortable="true"> Name</th>
            <th data-field="name" data-sortable="true"> Address</th>
            <th data-field="name" data-sortable="true"> 
            Date created</th>
            <th>Manage</th>
          </tr>
        </thead>
        <tbody>
          {% for b in base_stations %}
          <tr>

            <td>{{b.name}}
            </td>
            <td>{{b.address.full_name}}
            </td>
            <td>{{b.created.strftime("%d %B %y")}}
            </td>

            <td><a class="btn btn-default"  style="border: 2px solid #f4c535;" href="/base-stations/{{b.key.id()}}">Manage</a>
            </td>

          </tr>
          {% endfor %}
        </tbody>
        <tfoot>
          <tr>
          </tr>
        </tfoot>
      </table>


    </div>
  </div>









  {% endblock %}

  {% block scripts %}

  <script>



    $( document ).ready(function() {

     waitForAuth(); 

     $('#server-msg-div').slideUp("slow");

   });





    function waitForAuth() {
              if(is_auth == false) {//we want it to match
                console.log("fail")
                setTimeout(waitForAuth, 50);//wait 50 millisecnds then recheck
                return;
              }
              console.log("success")


            }


          </script>
          {% endblock %}

